Bug 1393544 - [RFE] Enhance Satelltie 6 UI to make the need for virt-who apparent
Summary: [RFE] Enhance Satelltie 6 UI to make the need for virt-who apparent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
urgent
urgent vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker CEE_Sat6_Top_BZs, GSS_Sat6_Top_Bugs 1417073 1425523
TreeView+ depends on / blocked
 
Reported: 2016-11-09 19:28 UTC by Bryan Kearney
Modified: 2021-06-10 11:43 UTC (History)
7 users (show)

Fixed In Version: katello-installer-base-3.0.0.72-1,rubygem-katello-3.0.0.97-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1417073 1425523 (view as bug list)
Environment:
Last Closed: 2017-03-06 08:34:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
main table (863.36 KB, image/jpeg)
2016-11-09 19:28 UTC, Bryan Kearney
no flags Details
subscription details (743.79 KB, image/jpeg)
2016-11-09 19:29 UTC, Bryan Kearney
no flags Details
subscription details tooltip (751.02 KB, image/jpeg)
2016-11-09 19:30 UTC, Bryan Kearney
no flags Details
uploading a manifest (778.58 KB, image/jpeg)
2016-11-09 19:31 UTC, Bryan Kearney
no flags Details
Maintable version 2 (868.24 KB, image/jpeg)
2016-12-19 15:24 UTC, Roxanne Hoover
no flags Details
Manifest Details version 2 (756.21 KB, image/jpeg)
2016-12-19 15:26 UTC, Roxanne Hoover
no flags Details
verification screenshot 1 (70.79 KB, image/png)
2017-02-13 19:06 UTC, jcallaha
no flags Details
verification screenshot 2 (41.41 KB, image/png)
2017-02-13 19:06 UTC, jcallaha
no flags Details
verification screenshot 3 (111.45 KB, image/png)
2017-02-13 19:07 UTC, jcallaha
no flags Details
verification screenshot 4 (44.06 KB, image/png)
2017-02-13 19:07 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17622 0 None None None 2016-12-10 00:22:08 UTC
Red Hat Product Errata RHBA-2017:0447 0 normal SHIPPED_LIVE Satellite 6.2.8 Async Bug Release 2017-03-06 13:23:41 UTC

Description Bryan Kearney 2016-11-09 19:28:40 UTC
Created attachment 1219052 [details]
main table

Subscriptions for products which have a virt_limit attribute set to non zero require the use of virt-who. Customers are often times not aware of the need to use virt who. This is an RFE to make some small changes to the UI to make this apparant.

Subscription list - see mainTable.jpg. A new column is added to subscriptions which need virt-who. PLus, there is a help link to the the virtual install guide.

Subscription Details Page - See the manifestDetails.jpg file. The virt-who check mark is carried here, with help text to the same virtual install guide (see manifestDetailsTooltip.jpg)

Manifest upload - FInally, if possible to know this as upload time, add anote about the VIG once an upload succeeds (see uploadManifest.jpg)

Roxanne Hoover has done the mockups. Rich Jerrido can provide links to the correct KCS or Virtual Install Guide.

Comment 1 Bryan Kearney 2016-11-09 19:29:50 UTC
Created attachment 1219053 [details]
subscription details

Comment 2 Bryan Kearney 2016-11-09 19:30:31 UTC
Created attachment 1219054 [details]
subscription details tooltip

Comment 3 Bryan Kearney 2016-11-09 19:31:01 UTC
Created attachment 1219055 [details]
uploading a manifest

Comment 4 Rich Jerrido 2016-11-09 20:52:30 UTC
In maintable.JPG would it be more appropriate to use 'Requires virt-who' as a heading, instead of simply 'virt-who' ?

Comment 7 Eric Helms 2016-12-09 20:52:10 UTC
The details page screen shot has what appears to be a tooltip icon next to the words 'Virt-Who'. There is no information or guidance provided around if that is intended to be a pop-up tooltip and what information to put into it if so.

Comment 8 Bryan Kearney 2016-12-09 21:01:54 UTC
It should will link to a kcs we get jerrido to write. Lets assume the text is. 'If the virt-who field is "Yes" then the subscription requires the use of virt-who. Learn how to configure and use this tool at XXXXX'

Roxanne, thoughts?

-- bk

Comment 9 Bryan Kearney 2016-12-09 21:02:14 UTC
It should will link to a kcs we get jerrido to write. Lets assume the text is. 'If the virt-who field is "Yes" then the subscription requires the use of virt-who. Learn how to configure and use this tool at XXXXX'

Roxanne, thoughts?

-- bk

Comment 10 Eric Helms 2016-12-10 00:22:05 UTC
Created redmine issue http://projects.theforeman.org/issues/17622 from this bug

Comment 11 Eric Helms 2016-12-10 01:07:23 UTC
I've got a PR open for this change with updated wording. I am missing the proper links to include in the tooltip and the alert on the manifest page.

Comment 12 Roxanne Hoover 2016-12-19 15:24:04 UTC
@ehelms 

I got some clarification of what the virt-who status represents. I've updated the comps accordingly to better communicate to the user what is being displayed. (version 2)

From our last meeting, it represents that virt-who is required not that it is done or done properly. Please correct me if wrong @bkearney

Comment 13 Roxanne Hoover 2016-12-19 15:24:49 UTC
Created attachment 1233395 [details]
Maintable version 2

Comment 14 Roxanne Hoover 2016-12-19 15:26:13 UTC
Created attachment 1233396 [details]
Manifest Details version 2

Comment 15 Bryan Kearney 2017-01-11 15:01:02 UTC
Link should go to  https://access.redhat.com/articles/2852891

Comment 16 Satellite Program 2017-01-24 19:14:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17622 has been resolved.

Comment 19 jcallaha 2017-02-13 19:06:13 UTC
Verified in Satellite 6.2.8 Snap 2.

There are now indications on the subscriptions page indicating when a subscriptions requires virt-who. Additionally, there is a new information box on the manifests page that links the user to the Virtual Instances Guide. See screenshots for verification.

Comment 20 jcallaha 2017-02-13 19:06:32 UTC
Created attachment 1250002 [details]
verification screenshot 1

Comment 21 jcallaha 2017-02-13 19:06:54 UTC
Created attachment 1250004 [details]
verification screenshot 2

Comment 22 jcallaha 2017-02-13 19:07:20 UTC
Created attachment 1250005 [details]
verification screenshot 3

Comment 23 jcallaha 2017-02-13 19:07:42 UTC
Created attachment 1250006 [details]
verification screenshot 4

Comment 25 errata-xmlrpc 2017-03-06 08:34:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0447


Note You need to log in before you can comment on or make changes to this bug.